Index: cpukit/include/rtems/rtems/asrimpl.h
===================================================================
--- cpukit/include/rtems/rtems/asrimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/asrimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicASR
  *
- * @brief Classic ASR Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicASR support.
  */
 
Index: cpukit/include/rtems/rtems/attrimpl.h
===================================================================
--- cpukit/include/rtems/rtems/attrimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/attrimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicAttr
  *
- * @brief Classic Attributes Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicAttr support.
  */
 
Index: cpukit/include/rtems/rtems/barrierimpl.h
===================================================================
--- cpukit/include/rtems/rtems/barrierimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/barrierimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicBarrier
  *
- * @brief Classic Barrier Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicBarrier.
  */
 
Index: cpukit/include/rtems/rtems/clockimpl.h
===================================================================
--- cpukit/include/rtems/rtems/clockimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/clockimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicClock
  *
- * @brief This header file provides interfaces used by the Clock Manager
- *   implementation.
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicClock.
  */
 
Index: cpukit/include/rtems/rtems/dpmemimpl.h
===================================================================
--- cpukit/include/rtems/rtems/dpmemimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/dpmemimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicDPMem
  *
- * @brief Dual Ported Memory Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicDPMem
  */
 
Index: cpukit/include/rtems/rtems/eventimpl.h
===================================================================
--- cpukit/include/rtems/rtems/eventimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/eventimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicEvent
  *
- * @brief This header file provides interfaces used by the event implementation.
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicEvent.
  */
 
Index: cpukit/include/rtems/rtems/eventmp.h
===================================================================
--- cpukit/include/rtems/rtems/eventmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/eventmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicEventMP
  *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Support in the Event Manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicEventMP.
  */
 
Index: cpukit/include/rtems/rtems/messageimpl.h
===================================================================
--- cpukit/include/rtems/rtems/messageimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/messageimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicMessage
  *
- * @brief Classic Message Queue Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicMessage.
  */
 
Index: cpukit/include/rtems/rtems/modesimpl.h
===================================================================
--- cpukit/include/rtems/rtems/modesimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/modesimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicModes
  *
- * @brief Classic Modes Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicModes support.
  */
 
Index: cpukit/include/rtems/rtems/mp.h
===================================================================
--- cpukit/include/rtems/rtems/mp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/mp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,8 +2,7 @@
  * @file
  *
- * @ingroup ClassicMP
+ * @ingroup RTEMSImplClassic
  *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Manager.
+ * @brief This header file provides parts of the multiprocessing (MP) API.
  */
 
@@ -22,5 +21,5 @@
 
 /**
- *  @defgroup ClassicMP Multiprocessing
+ *  @defgroup RTEMSAPIClassicMP Multiprocessing
  *
  *  @ingroup RTEMSAPIClassic
Index: cpukit/include/rtems/rtems/msgmp.h
===================================================================
--- cpukit/include/rtems/rtems/msgmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/msgmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,8 +4,6 @@
  * @ingroup RTEMSImplClassicMessageMP
  *
- * @brief Message Manager MP Support
- *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Support in the Message Manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicMessageMP.
  */
 
Index: cpukit/include/rtems/rtems/objectimpl.h
===================================================================
--- cpukit/include/rtems/rtems/objectimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/objectimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicObject
  *
- * @brief Implementation Interfaces for Classic Objects
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicObject.
  */
 
Index: cpukit/include/rtems/rtems/optionsimpl.h
===================================================================
--- cpukit/include/rtems/rtems/optionsimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/optionsimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicOptions
  *
- * @brief Classic Options Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicOptions support.
  */
 
Index: cpukit/include/rtems/rtems/partimpl.h
===================================================================
--- cpukit/include/rtems/rtems/partimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/partimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicPartition
  *
- * @brief This header file provides interfaces used by the Partition Manager
- *   implementation.
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicPartition.
  */
 
Index: cpukit/include/rtems/rtems/partmp.h
===================================================================
--- cpukit/include/rtems/rtems/partmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/partmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,8 +4,6 @@
  * @ingroup RTEMSImplClassicPartitionMP
  *
- * @brief MP Support in Partition Manager
- *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Support in the Partition Manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicPartitionMP.
  */
 
Index: cpukit/include/rtems/rtems/ratemonimpl.h
===================================================================
--- cpukit/include/rtems/rtems/ratemonimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/ratemonimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief Classic Rate Monotonic Scheduler Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicRateMonotonic.
  */
 
Index: cpukit/include/rtems/rtems/regionimpl.h
===================================================================
--- cpukit/include/rtems/rtems/regionimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/regionimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicRegion
  *
- * @brief Classic Region Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicRegion.
  */
 
Index: cpukit/include/rtems/rtems/semimpl.h
===================================================================
--- cpukit/include/rtems/rtems/semimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/semimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicSemaphore
  *
- * @brief Classic Semaphore Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicSemaphore.
  */
 
Index: cpukit/include/rtems/rtems/semmp.h
===================================================================
--- cpukit/include/rtems/rtems/semmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/semmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicSemaphoreMP
  *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Support in the Semaphore Manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicSemaphoreMP.
  */
 
Index: cpukit/include/rtems/rtems/signalimpl.h
===================================================================
--- cpukit/include/rtems/rtems/signalimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/signalimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicSignal
  *
- * @brief Signals Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicSignal.
  */
 
Index: cpukit/include/rtems/rtems/signalmp.h
===================================================================
--- cpukit/include/rtems/rtems/signalmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/signalmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicSignalMP
  *
- * This include file contains all the constants and structures associated
- * with the Multiprocessing Support in the Signal Manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicSignalMP.
  */
 
Index: cpukit/include/rtems/rtems/statusimpl.h
===================================================================
--- cpukit/include/rtems/rtems/statusimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/statusimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicStatus
  *
- * @brief Classic Status Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicStatus support.
  */
 
Index: cpukit/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/include/rtems/rtems/taskmp.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/taskmp.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicTaskMP
  *
- * This include file contains all the constants and structures associated
- * with the multiprocessing support in the task manager.
+ * @brief This header file provides the implementation interfaces of the
+ *   @ref RTEMSImplClassicTaskMP.
  */
 
Index: cpukit/include/rtems/rtems/tasksimpl.h
===================================================================
--- cpukit/include/rtems/rtems/tasksimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/tasksimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicTask
  *
- * @brief Classic Tasks Manager Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicTask.
  */
 
Index: cpukit/include/rtems/rtems/timerimpl.h
===================================================================
--- cpukit/include/rtems/rtems/timerimpl.h	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/include/rtems/rtems/timerimpl.h	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,6 @@
  * @ingroup RTEMSImplClassicTimer
  *
- * @brief Classic Timer Implementation
+ * @brief This header file provides the implementation interfaces of
+ *   the @ref RTEMSImplClassicTimer.
  */
 
Index: cpukit/rtems/src/barrier.c
===================================================================
--- cpukit/rtems/src/barrier.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barrier.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicBarrier
+ * @ingroup RTEMSImplClassicBarrier
  *
- * @brief Classic Barrier Information with Zero Objects
+ * @brief This source file contains a definition of the ::_Barrier_Information
+ *   with zero objects.
  */
 
Index: cpukit/rtems/src/barriercreate.c
===================================================================
--- cpukit/rtems/src/barriercreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barriercreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicBarrier Barriers
+ * @ingroup RTEMSImplClassicBarrier
  *
- * @brief RTEMS Create Barrier
+ * @brief This source file contains the implementation of
+ *   rtems_barrier_create() and the Barrier Manager system initialization.
  */
 
Index: cpukit/rtems/src/barrierdelete.c
===================================================================
--- cpukit/rtems/src/barrierdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barrierdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Barrier
- *  @ingroup ClassicBarrier
+ * @ingroup RTEMSImplClassicBarrier
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_barrier_delete().
  */
 
Index: cpukit/rtems/src/barrierident.c
===================================================================
--- cpukit/rtems/src/barrierident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barrierident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicBarrier
  *
- * @brief rtems_barrier_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_barrier_ident().
  */
 
Index: cpukit/rtems/src/barrierrelease.c
===================================================================
--- cpukit/rtems/src/barrierrelease.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barrierrelease.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicBarrier Barriers
+ * @ingroup RTEMSImplClassicBarrier
  *
- * @brief RTEMS Barrier Release
+ * @brief This source file contains the implementation of
+ *   rtems_barrier_release().
  */
 
Index: cpukit/rtems/src/barrierwait.c
===================================================================
--- cpukit/rtems/src/barrierwait.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/barrierwait.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Barrier Wait
- *  @ingroup ClassicBarrier
+ * @ingroup RTEMSImplClassicBarrier
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_barrier_wait().
  */
 
Index: cpukit/rtems/src/clockgetsecondssinceepoch.c
===================================================================
--- cpukit/rtems/src/clockgetsecondssinceepoch.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgetsecondssinceepoch.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Obtain Seconds Since Epoch
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_seconds_since_epoch().
  */
 
Index: cpukit/rtems/src/clockgettickspersecond.c
===================================================================
--- cpukit/rtems/src/clockgettickspersecond.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgettickspersecond.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Obtain Ticks Per Seconds
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_ticks_per_second().
  */
 
Index: cpukit/rtems/src/clockgettod.c
===================================================================
--- cpukit/rtems/src/clockgettod.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgettod.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClock Clocks
+ * @ingroup RTEMSImplClassicClock
  *
- * @brief Obtain Current Time of Day (Classic TOD)
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_tod().
  */
 
Index: cpukit/rtems/src/clockgettodtimeval.c
===================================================================
--- cpukit/rtems/src/clockgettodtimeval.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgettodtimeval.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Obtain TOD in struct timeval Format
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_tod_timeval().
  */
 
Index: cpukit/rtems/src/clockgetuptime.c
===================================================================
--- cpukit/rtems/src/clockgetuptime.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgetuptime.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClock Clocks
+ * @ingroup RTEMSImplClassicClock
  *
- * @brief Obtain the System Uptime
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_uptime().
  */
 
Index: cpukit/rtems/src/clockgetuptimenanoseconds.c
===================================================================
--- cpukit/rtems/src/clockgetuptimenanoseconds.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgetuptimenanoseconds.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClock Clocks
+ * @ingroup RTEMSImplClassicClock
  *
- * @brief Returns the system uptime in seconds.
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_uptime_nanoseconds().
  */
 
Index: cpukit/rtems/src/clockgetuptimeseconds.c
===================================================================
--- cpukit/rtems/src/clockgetuptimeseconds.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgetuptimeseconds.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,5 +2,8 @@
  * @file
  *
- * @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_uptime_seconds().
  */
 
Index: cpukit/rtems/src/clockgetuptimetimeval.c
===================================================================
--- cpukit/rtems/src/clockgetuptimetimeval.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockgetuptimetimeval.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Gets the System Uptime in the Struct Timeval Format
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_get_uptime_timeval().
  */
 
Index: cpukit/rtems/src/clockset.c
===================================================================
--- cpukit/rtems/src/clockset.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clockset.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Set the Current TOD
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_set().
  */
 
Index: cpukit/rtems/src/clocktick.c
===================================================================
--- cpukit/rtems/src/clocktick.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clocktick.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Announce a Clock Tick
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_clock_tick().
  */
 
Index: cpukit/rtems/src/clocktodtoseconds.c
===================================================================
--- cpukit/rtems/src/clocktodtoseconds.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clocktodtoseconds.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief TOD to Seconds
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   _TOD_To_seconds().
  */
 
Index: cpukit/rtems/src/clocktodvalidate.c
===================================================================
--- cpukit/rtems/src/clocktodvalidate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/clocktodvalidate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief TOD Validate
- *  @ingroup ClassicClock
+ * @ingroup RTEMSImplClassicClock
+ *
+ * @brief This source file contains the implementation of
+ *   _TOD_Validate().
  */
 
Index: cpukit/rtems/src/dpmem.c
===================================================================
--- cpukit/rtems/src/dpmem.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmem.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicDPMEM
+ * @ingroup RTEMSImplClassicDPMem
  *
- * @brief Classic Dual Ported Memory Information with Zero Objects
+ * @brief This source file contains a definition of
+ *   ::_Dual_ported_memory_Information with zero objects.
  */
 
Index: cpukit/rtems/src/dpmemcreate.c
===================================================================
--- cpukit/rtems/src/dpmemcreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmemcreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,10 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Create Port
- *  @ingroup ClassicDPMEM
+ * @ingroup RTEMSImplClassicDPMem
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_port_create() and the Dual-Ported Memory Manager system
+ *   initialization.
  */
 
Index: cpukit/rtems/src/dpmemdelete.c
===================================================================
--- cpukit/rtems/src/dpmemdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmemdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Port
- *  @ingroup ClassicDPMEM
+ * @ingroup RTEMSImplClassicDPMem
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_port_delete().
  */
 
Index: cpukit/rtems/src/dpmemexternal2internal.c
===================================================================
--- cpukit/rtems/src/dpmemexternal2internal.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmemexternal2internal.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Port External to Internal
- *  @ingroup ClassicDPMEM
+ * @ingroup RTEMSImplClassicDPMem
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_port_external_to_internal().
  */
 
Index: cpukit/rtems/src/dpmemident.c
===================================================================
--- cpukit/rtems/src/dpmemident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmemident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicDPMem
  *
- * @brief rtems_port_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_port_ident().
  */
 
Index: cpukit/rtems/src/dpmeminternal2external.c
===================================================================
--- cpukit/rtems/src/dpmeminternal2external.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/dpmeminternal2external.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Port Internal to External
- *  @ingroup ClassicDPMEM
+ * @ingroup RTEMSImplClassicDPMem
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_port_internal_to_external().
  */
 
Index: cpukit/rtems/src/eventmp.c
===================================================================
--- cpukit/rtems/src/eventmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/eventmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicEventMP
  *
- * @brief This source file contains the implementation of the task event MPCI
- *   support.
+ * @brief This source file contains the implementation to support the Event
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/eventseize.c
===================================================================
--- cpukit/rtems/src/eventseize.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/eventseize.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -5,5 +5,6 @@
  *
  * @brief This source file contains the implementation of
- *   _Event_Seize() and the task event MPCI support system initialization.
+ *   _Event_Seize() and the Event Manager multiprocessing (MP) support system
+ *   initialization.
  */
 
Index: cpukit/rtems/src/getapiconfig.c
===================================================================
--- cpukit/rtems/src/getapiconfig.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/getapiconfig.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_api_configuration_table().
+ */
+
 /*
  * SPDX-License-Identifier: BSD-2-Clause
Index: cpukit/rtems/src/intrbody.c
===================================================================
--- cpukit/rtems/src/intrbody.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/intrbody.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,10 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Interrupt Support
- *  @ingroup ClassicINTR
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   directive bindings of the Interrupt Manager for languages other than
+ *   C/C++.
  */
 
Index: cpukit/rtems/src/intrcatch.c
===================================================================
--- cpukit/rtems/src/intrcatch.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/intrcatch.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Interrupt Catch
- *  @ingroup ClassicINTR
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_interrupt_catch().
  */
 
Index: cpukit/rtems/src/modes.c
===================================================================
--- cpukit/rtems/src/modes.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/modes.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,9 +1,11 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Body for RTEMS_INTERRUPT_LEVEL Macro
- *  @ingroup ClassicModes
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_interrupt_level_body() and the definition of ::rtems_interrupt_mask
+ *   to support languages other than C/C++.
  */
-
 
 /*
Index: cpukit/rtems/src/mp.c
===================================================================
--- cpukit/rtems/src/mp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/mp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief MP Support
- *  @ingroup ClassicMP
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation to support the Classic
+ *   API in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/msg.c
===================================================================
--- cpukit/rtems/src/msg.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msg.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
  *
- * @brief Classic Message Queue Information with Zero Objects
+ * @brief This source file contains a definition of the
+ *   ::_Message_queue_Information with zero objects.
  */
 
Index: cpukit/rtems/src/msgmp.c
===================================================================
--- cpukit/rtems/src/msgmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicMsgMP Message Queue MP Support
- *
- * @brief Multiprocessing Support for the Message Queue Manager
+ * @ingroup RTEMSImplClassicMessageMP
+ *
+ * @brief This source file contains the implementation to support the Message
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/msgqbroadcast.c
===================================================================
--- cpukit/rtems/src/msgqbroadcast.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqbroadcast.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Broadcast Message Queue
- *  @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_broadcast().
  */
 
Index: cpukit/rtems/src/msgqconstruct.c
===================================================================
--- cpukit/rtems/src/msgqconstruct.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqconstruct.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Create Message Queue
- *  @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_construct().
  */
 
Index: cpukit/rtems/src/msgqdelete.c
===================================================================
--- cpukit/rtems/src/msgqdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Message Queue
- *  @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_delete().
  */
 
Index: cpukit/rtems/src/msgqflush.c
===================================================================
--- cpukit/rtems/src/msgqflush.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqflush.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicMessageQueue Message Queues
+ * @ingroup RTEMSImplClassicMessage
  *
- * @brief rtems_message_queue_flush
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_flush().
  */
 
Index: cpukit/rtems/src/msgqgetnumberpending.c
===================================================================
--- cpukit/rtems/src/msgqgetnumberpending.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqgetnumberpending.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicMessageQueue Message Queues
+ * @ingroup RTEMSImplClassicMessage
  *
- * @brief RTEMS Message Queue Get Number Pending
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_get_number_pending().
  */
 
Index: cpukit/rtems/src/msgqident.c
===================================================================
--- cpukit/rtems/src/msgqident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicMessage
  *
- * @brief rtems_message_queue_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_ident().
  */
 
Index: cpukit/rtems/src/msgqreceive.c
===================================================================
--- cpukit/rtems/src/msgqreceive.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqreceive.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Message Queue Receive
- *  @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_receive().
  */
 
Index: cpukit/rtems/src/msgqsend.c
===================================================================
--- cpukit/rtems/src/msgqsend.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqsend.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicMessageQueue Message Queues
+ * @ingroup RTEMSImplClassicMessage
  *
- * @brief rtems_message_queue_send
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_send().
  */
 
Index: cpukit/rtems/src/msgqurgent.c
===================================================================
--- cpukit/rtems/src/msgqurgent.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/msgqurgent.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Urgent Message Queue
- *  @ingroup ClassicMessageQueue
+ * @ingroup RTEMSImplClassicMessage
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_message_queue_urgent().
  */
 
Index: cpukit/rtems/src/part.c
===================================================================
--- cpukit/rtems/src/part.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/part.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,6 +4,6 @@
  * @ingroup RTEMSImplClassicPartition
  *
- * @brief This source file contains a definition of ::_Partition_Information
- *   with zero objects.
+ * @brief This source file contains a definition of the
+ *   ::_Partition_Information with zero objects.
  */
 
Index: cpukit/rtems/src/partcreate.c
===================================================================
--- cpukit/rtems/src/partcreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/partcreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -5,5 +5,5 @@
  *
  * @brief This source file contains the implementation of
- *   rtems_partition_create().
+ *   rtems_partition_create() and the Partition Manager system initialization.
  */
 
Index: cpukit/rtems/src/partmp.c
===================================================================
--- cpukit/rtems/src/partmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/partmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,8 +2,8 @@
  * @file
  *
- * @ingroup ClassicPartMP
- *
- * @brief This source file contains the implementation of the Partition Manager
- *   MPCI support.
+ * @ingroup RTEMSImplClassicPartitionMP
+ *
+ * @brief This source file contains the implementation to support the Partition
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/ratemon.c
===================================================================
--- cpukit/rtems/src/ratemon.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemon.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief Classic Rate Monotonic Information with Zero Objects
+ * @brief This source file contains a definition of the
+ *   ::_Rate_monotonic_Information with zero objects.
  */
 
Index: cpukit/rtems/src/ratemoncancel.c
===================================================================
--- cpukit/rtems/src/ratemoncancel.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemoncancel.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Rate Monotonic Cancel
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_cancel().
  */
 
Index: cpukit/rtems/src/ratemoncreate.c
===================================================================
--- cpukit/rtems/src/ratemoncreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemoncreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRateMon Rate Monotonic Scheduler
+ * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief Create a Period
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_create().
  */
 
Index: cpukit/rtems/src/ratemondelete.c
===================================================================
--- cpukit/rtems/src/ratemondelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemondelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Rate Monotonic
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_delete().
  */
 
Index: cpukit/rtems/src/ratemongetstatistics.c
===================================================================
--- cpukit/rtems/src/ratemongetstatistics.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemongetstatistics.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Rate Monotonic Get Statistics
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_get_statistics().
  */
 
Index: cpukit/rtems/src/ratemongetstatus.c
===================================================================
--- cpukit/rtems/src/ratemongetstatus.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemongetstatus.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Rate Monotonic Get Status
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_get_status().
  */
 
Index: cpukit/rtems/src/ratemonident.c
===================================================================
--- cpukit/rtems/src/ratemonident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemonident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief rtems_rate_monotonic_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_ident().
  */
 
Index: cpukit/rtems/src/ratemonperiod.c
===================================================================
--- cpukit/rtems/src/ratemonperiod.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemonperiod.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Rate Monotonic Support
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_period_states().
  */
 
Index: cpukit/rtems/src/ratemonreportstatistics.c
===================================================================
--- cpukit/rtems/src/ratemonreportstatistics.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemonreportstatistics.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Report Rate Monotonic Statistics
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_report_statistics_with_plugin().
  */
 
Index: cpukit/rtems/src/ratemonresetall.c
===================================================================
--- cpukit/rtems/src/ratemonresetall.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemonresetall.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRateMon Rate Monotonic Scheduler
+ * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief rtems_rate_monotonic_reset_all_statistics
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_reset_all_statistics().
  */
 
Index: cpukit/rtems/src/ratemonresetstatistics.c
===================================================================
--- cpukit/rtems/src/ratemonresetstatistics.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemonresetstatistics.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRateMon Rate Monotonic Scheduler
+ * @ingroup RTEMSImplClassicRateMonotonic
  *
- * @brief RTEMS Rate Monotonic Reset Statistics
+ * @brief This source file contains the implementation of
+ *   rtems_rate_monotonic_reset_statistics().
  */
 
Index: cpukit/rtems/src/ratemontimeout.c
===================================================================
--- cpukit/rtems/src/ratemontimeout.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/ratemontimeout.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Rate Monotonic Timeout
- *  @ingroup ClassicRateMon
+ * @ingroup RTEMSImplClassicRateMonotonic
+ *
+ * @brief This source file contains the implementation of
+ *   _Rate_monotonic_Timeout().
  */
 
Index: cpukit/rtems/src/region.c
===================================================================
--- cpukit/rtems/src/region.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/region.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
  *
- * @brief Classic Region Information with Zero Objects
+ * @brief This source file contains a definition of the ::_Region_Information
+ *   with zero objects.
  */
 
Index: cpukit/rtems/src/regioncreate.c
===================================================================
--- cpukit/rtems/src/regioncreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regioncreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicRegion Regions
+ * @ingroup RTEMSImplClassicRegion
  *
- * @brief rtems_region_create
+ * @brief This source file contains the implementation of
+ *   rtems_region_create() and the Region Manager system initialization.
  */
 
Index: cpukit/rtems/src/regiondelete.c
===================================================================
--- cpukit/rtems/src/regiondelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regiondelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Region
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_delete().
  */
 
Index: cpukit/rtems/src/regionextend.c
===================================================================
--- cpukit/rtems/src/regionextend.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regionextend.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Extend Region
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_extend().
  */
 
Index: cpukit/rtems/src/regiongetfreeinfo.c
===================================================================
--- cpukit/rtems/src/regiongetfreeinfo.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regiongetfreeinfo.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Region Free Information
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_get_free_information().
  */
 
Index: cpukit/rtems/src/regiongetinfo.c
===================================================================
--- cpukit/rtems/src/regiongetinfo.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regiongetinfo.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Region Information
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_get_information().
  */
 
Index: cpukit/rtems/src/regiongetsegment.c
===================================================================
--- cpukit/rtems/src/regiongetsegment.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regiongetsegment.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Region Segment
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_get_segment().
  */
 
Index: cpukit/rtems/src/regiongetsegmentsize.c
===================================================================
--- cpukit/rtems/src/regiongetsegmentsize.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regiongetsegmentsize.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Region Segment Size
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_get_segment_size().
  */
 
Index: cpukit/rtems/src/regionident.c
===================================================================
--- cpukit/rtems/src/regionident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regionident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicRegion
  *
- * @brief rtems_region_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_region_ident().
  */
 
Index: cpukit/rtems/src/regionprocessqueue.c
===================================================================
--- cpukit/rtems/src/regionprocessqueue.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regionprocessqueue.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Process Region Queue
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   _Region_Process_queue().
  */
 
Index: cpukit/rtems/src/regionresizesegment.c
===================================================================
--- cpukit/rtems/src/regionresizesegment.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regionresizesegment.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Resize RTEMS Region Segment
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_resize_segment().
  */
 
Index: cpukit/rtems/src/regionreturnsegment.c
===================================================================
--- cpukit/rtems/src/regionreturnsegment.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/regionreturnsegment.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Return Region Segment
- *  @ingroup ClassicRegion
+ * @ingroup RTEMSImplClassicRegion
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_region_return_segment().
  */
 
Index: cpukit/rtems/src/rtemsbuildid.c
===================================================================
--- cpukit/rtems/src/rtemsbuildid.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsbuildid.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClassInfo Object Class Information
+ * @ingroup RTEMSImplClassicObject
  *
- * @brief Build Object Id
+ * @brief This source file contains the implementation of
+ *   rtems_build_id() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsbuildname.c
===================================================================
--- cpukit/rtems/src/rtemsbuildname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsbuildname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Build Thirty-Two Bit Object Name
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_build_name() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsmaxprio.c
===================================================================
--- cpukit/rtems/src/rtemsmaxprio.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsmaxprio.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -3,4 +3,7 @@
  *
  * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   _RTEMS_Maximum_priority().
  */
 
Index: cpukit/rtems/src/rtemsnametoid.c
===================================================================
--- cpukit/rtems/src/rtemsnametoid.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsnametoid.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicObject
  *
- * @brief _RTEMS_Name_to_id() Implementation
+ * @brief This source file contains the implementation of
+ *   _RTEMS_Name_to_id().
  */
 
Index: cpukit/rtems/src/rtemsobjectapimaximumclass.c
===================================================================
--- cpukit/rtems/src/rtemsobjectapimaximumclass.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectapimaximumclass.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Highest Valid Class Value
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_api_maximum_class().
  */
 
Index: cpukit/rtems/src/rtemsobjectapiminimumclass.c
===================================================================
--- cpukit/rtems/src/rtemsobjectapiminimumclass.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectapiminimumclass.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClassInfo Object Class Information
+ * @ingroup RTEMSImplClassicObject
  *
- * @brief Get Lowest Valid Class Value
+ * @brief This source file contains the implementation of
+ *   rtems_object_api_minimum_class().
  */
 
Index: cpukit/rtems/src/rtemsobjectgetapiclassname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetapiclassname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectgetapiclassname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Class Name
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_get_api_class_name().
  */
 
Index: cpukit/rtems/src/rtemsobjectgetapiname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetapiname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectgetapiname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get API Name
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_get_api_name().
  */
 
Index: cpukit/rtems/src/rtemsobjectgetclassicname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetclassicname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectgetclassicname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Obtain Name of Object
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_get_classic_name().
  */
 
Index: cpukit/rtems/src/rtemsobjectgetclassinfo.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetclassinfo.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectgetclassinfo.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Class Information
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_get_class_information().
  */
 
Index: cpukit/rtems/src/rtemsobjectgetname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectgetname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectgetname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Obtain Object Name as String
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_get_name().
  */
 
Index: cpukit/rtems/src/rtemsobjectidapimaximum.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidapimaximum.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidapimaximum.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Highest Valid API Index
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_api_maximum() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectidapiminimum.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidapiminimum.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidapiminimum.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Lowest Valid API Index
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_api_minimum() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectidgetapi.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetapi.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidgetapi.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClassInfo Object Class Information
+ * @ingroup RTEMSImplClassicObject
  *
- * @brief Get API Portion of Object Id
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_get_api() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectidgetclass.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetclass.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidgetclass.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Class Portion of Object Id
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_get_class() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectidgetindex.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetindex.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidgetindex.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Index Portion of Object Id
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_get_index() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectidgetnode.c
===================================================================
--- cpukit/rtems/src/rtemsobjectidgetnode.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectidgetnode.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Get Node Portion of Object Id
- *  @ingroup ClassicClassInfo
+ * @ingroup RTEMSImplClassicObject
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_object_id_get_node() as a binding for languages other than C/C++.
  */
 
Index: cpukit/rtems/src/rtemsobjectsetname.c
===================================================================
--- cpukit/rtems/src/rtemsobjectsetname.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemsobjectsetname.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicClassInfo Object Class Information
+ * @ingroup RTEMSImplClassicObject
  *
- * @brief Set Name of Object
+ * @brief This source file contains the implementation of
+ *   rtems_object_set_name().
  */
 
Index: cpukit/rtems/src/rtemstimer.c
===================================================================
--- cpukit/rtems/src/rtemstimer.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/rtemstimer.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
  *
- * @brief Classic Timer Information with Zero Objects
+ * @brief This source file contains a definition of the ::_Timer_Information
+ *   with zero objects.
  */
 
Index: cpukit/rtems/src/scheduleraddprocessor.c
===================================================================
--- cpukit/rtems/src/scheduleraddprocessor.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/scheduleraddprocessor.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_add_processor().
+ */
+
 /*
  * Copyright (c) 2016 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/schedulergetmaxprio.c
===================================================================
--- cpukit/rtems/src/schedulergetmaxprio.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulergetmaxprio.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,5 +1,14 @@
+/* SPDX-License-Identifier: BSD-2-Clause */
+
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_get_maximum_priority().
+ */
+
 /*
- * SPDX-License-Identifier: BSD-2-Clause
- *
  * Copyright (C) 2018 embedded brains GmbH
  *
Index: cpukit/rtems/src/schedulergetprocessorset.c
===================================================================
--- cpukit/rtems/src/schedulergetprocessorset.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulergetprocessorset.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_get_processor_set().
+ */
+
 /*
  * Copyright (c) 2014, 2017 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/schedulerident.c
===================================================================
--- cpukit/rtems/src/schedulerident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulerident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_ident().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/scheduleridentbyprocessor.c
===================================================================
--- cpukit/rtems/src/scheduleridentbyprocessor.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/scheduleridentbyprocessor.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_ident_by_processor().
+ */
+
 /*
  * Copyright (c) 2017 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/scheduleridentbyprocessorset.c
===================================================================
--- cpukit/rtems/src/scheduleridentbyprocessorset.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/scheduleridentbyprocessorset.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_ident_by_processor_set().
+ */
+
 /*
  * Copyright (c) 2017 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/schedulermapfromposix.c
===================================================================
--- cpukit/rtems/src/schedulermapfromposix.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulermapfromposix.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,7 +4,8 @@
  * @file
  *
- * @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassic
  *
- * @brief Implementation of rtems_scheduler_map_priority_from_posix().
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_map_priority_from_posix().
  */
 
Index: cpukit/rtems/src/schedulermaptoposix.c
===================================================================
--- cpukit/rtems/src/schedulermaptoposix.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulermaptoposix.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,7 +4,8 @@
  * @file
  *
- * @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassic
  *
- * @brief Implementation of rtems_scheduler_map_priority_to_posix().
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_map_priority_to_posix().
  */
 
Index: cpukit/rtems/src/schedulerremoveprocessor.c
===================================================================
--- cpukit/rtems/src/schedulerremoveprocessor.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/schedulerremoveprocessor.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_scheduler_remove_processor().
+ */
+
 /*
  * Copyright (c) 2016 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/sem.c
===================================================================
--- cpukit/rtems/src/sem.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/sem.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicSem
+ * @ingroup RTEMSImplClassicSemaphore
  *
- * @brief Classic Semaphore Information with Zero Objects
+ * @brief This source file contains a definition of the
+ *   ::_Semaphore_Information with zero objects.
  */
 
Index: cpukit/rtems/src/semcreate.c
===================================================================
--- cpukit/rtems/src/semcreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semcreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicSem Semaphores
+ * @ingroup RTEMSImplClassicSemaphore
  *
- * @brief rtems_semaphore_create
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_create() and the Semaphore Manager system initialization.
  */
 
Index: cpukit/rtems/src/semdelete.c
===================================================================
--- cpukit/rtems/src/semdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Semaphore
- *  @ingroup ClassicSem
+ * @ingroup RTEMSImplClassicSemaphore
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_delete().
  */
 
Index: cpukit/rtems/src/semflush.c
===================================================================
--- cpukit/rtems/src/semflush.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semflush.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Semaphore Flush
- *  @ingroup ClassicSem
+ * @ingroup RTEMSImplClassicSemaphore
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_flush().
  */
 
Index: cpukit/rtems/src/semident.c
===================================================================
--- cpukit/rtems/src/semident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicSemaphore
  *
- * @brief rtems_semaphore_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_ident().
  */
 
Index: cpukit/rtems/src/semmp.c
===================================================================
--- cpukit/rtems/src/semmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Semaphore MP Support
- *  @ingroup ClassicSEM
+ * @ingroup RTEMSImplClassicSemaphoreMP
+ *
+ * @brief This source file contains the implementation to support the Semaphore
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/semobtain.c
===================================================================
--- cpukit/rtems/src/semobtain.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semobtain.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Obtain Semaphore
- *  @ingroup ClassicSem
+ * @ingroup RTEMSImplClassicSemaphore
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_obtain().
  */
 
Index: cpukit/rtems/src/semrelease.c
===================================================================
--- cpukit/rtems/src/semrelease.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semrelease.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,10 +2,8 @@
  * @file
  *
- * @ingroup ClassicSem Semaphores
+ * @ingroup RTEMSImplClassicSemaphore
  *
- * @brief RTEMS Semaphore Release
- *
- * This file contains the implementation of the Classic API directive
- * rtems_semaphore_release().
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_release().
  */
 
Index: cpukit/rtems/src/semsetpriority.c
===================================================================
--- cpukit/rtems/src/semsetpriority.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/semsetpriority.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicSemaphore
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_semaphore_set_priority().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/signalcatch.c
===================================================================
--- cpukit/rtems/src/signalcatch.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/signalcatch.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,10 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Catch Signal
- *  @ingroup ClassicSignal
+ * @ingroup RTEMSImplClassicSignal
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_signal_catch() and the Signal Manager multiprocessing (MP) support
+ *   system initialization.
  */
 
Index: cpukit/rtems/src/signalmp.c
===================================================================
--- cpukit/rtems/src/signalmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/signalmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Signal MP Support
- *  @ingroup ClassicSignalMP
+ * @ingroup RTEMSImplClassicSignalMP
+ *
+ * @brief This source file contains the implementation to support the Signal
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/signalsend.c
===================================================================
--- cpukit/rtems/src/signalsend.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/signalsend.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Send Signal
- *  @ingroup ClassicSignal
+ * @ingroup RTEMSImplClassicSignal
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_signal_send().
  */
 
Index: cpukit/rtems/src/status.c
===================================================================
--- cpukit/rtems/src/status.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/status.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Status Mapping Arrays
- *  @ingroup ClassicStatus
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the definition of
+ *   ::_Status_Object_name_errors_to_status.
  */
 
Index: cpukit/rtems/src/statustext.c
===================================================================
--- cpukit/rtems/src/statustext.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/statustext.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,5 +2,8 @@
  * @file
  *
- * @ingroup ClassicStatus
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_status_text().
  */
 
Index: cpukit/rtems/src/statustoerrno.c
===================================================================
--- cpukit/rtems/src/statustoerrno.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/statustoerrno.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Status Mapping Arrays
- *  @ingroup ClassicStatus
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_status_code_to_errno().
  */
 
Index: cpukit/rtems/src/taskconstruct.c
===================================================================
--- cpukit/rtems/src/taskconstruct.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskconstruct.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief RTEMS Task Create from Config
+ * @brief This source file contains the implementation of
+ *   rtems_task_construct() and the Task Manager system initialization.
  */
 
Index: cpukit/rtems/src/taskconstructuser.c
===================================================================
--- cpukit/rtems/src/taskconstructuser.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskconstructuser.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,5 +4,5 @@
  * @file
  *
- * @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
  *
  * @brief This source file contains the implementation of
Index: cpukit/rtems/src/taskcreate.c
===================================================================
--- cpukit/rtems/src/taskcreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskcreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -4,7 +4,8 @@
  * @file
  *
- * @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief RTEMS Task Create
+ * @brief This source file contains the implementation of
+ *   rtems_task_create().
  */
 
Index: cpukit/rtems/src/taskdelete.c
===================================================================
--- cpukit/rtems/src/taskdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Task
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_delete().
  */
 
Index: cpukit/rtems/src/taskexit.c
===================================================================
--- cpukit/rtems/src/taskexit.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskexit.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_exit().
+ */
+
 /*
  * Copyright (c) 2018 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/taskgetaffinity.c
===================================================================
--- cpukit/rtems/src/taskgetaffinity.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskgetaffinity.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks Tasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief  RTEMS Task Get Affinity
+ * @brief This source file contains the implementation of
+ *   rtems_task_get_affinity().
  */
 
Index: cpukit/rtems/src/taskgetpriority.c
===================================================================
--- cpukit/rtems/src/taskgetpriority.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskgetpriority.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_get_priority().
+ */
+
 /*
  * Copyright (c) 2016 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/taskgetscheduler.c
===================================================================
--- cpukit/rtems/src/taskgetscheduler.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskgetscheduler.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_get_scheduler().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/taskident.c
===================================================================
--- cpukit/rtems/src/taskident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicTask
  *
- * @brief rtems_task_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_task_ident().
  */
 
Index: cpukit/rtems/src/taskinitdefault.c
===================================================================
--- cpukit/rtems/src/taskinitdefault.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskinitdefault.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains a definition of
+ *   ::_RTEMS_tasks_User_task_table without a task entry.
+ */
+
 /*
  * SPDX-License-Identifier: BSD-2-Clause
Index: cpukit/rtems/src/taskinitusers.c
===================================================================
--- cpukit/rtems/src/taskinitusers.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskinitusers.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks Tasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief _RTEMS_tasks_Initialize_user_tasks_body
+ * @brief This source file contains the implementation of
+ *   _RTEMS_tasks_Initialize_user_task().
  */
 
Index: cpukit/rtems/src/taskissuspended.c
===================================================================
--- cpukit/rtems/src/taskissuspended.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskissuspended.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks Tasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief rtems_task_is_suspended
+ * @brief This source file contains the implementation of
+ *   rtems_task_is_suspended().
  */
 
Index: cpukit/rtems/src/taskiterate.c
===================================================================
--- cpukit/rtems/src/taskiterate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskiterate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_iterate().
+ */
+
 /*
  * Copyright (c) 2016 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/taskmode.c
===================================================================
--- cpukit/rtems/src/taskmode.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskmode.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Task Mode
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_mode().
  */
 
Index: cpukit/rtems/src/taskmp.c
===================================================================
--- cpukit/rtems/src/taskmp.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskmp.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTaskMP Task MP Support
- *
- * @brief RTEMS Tasks MP Send Process Packet
+ * @ingroup RTEMSImplClassicTaskMP
+ *
+ * @brief This source file contains the implementation to support the Task
+ *   Manager in multiprocessing (MP) configurations.
  */
 
Index: cpukit/rtems/src/taskrestart.c
===================================================================
--- cpukit/rtems/src/taskrestart.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskrestart.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Task Restart
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_restart().
  */
 
Index: cpukit/rtems/src/taskresume.c
===================================================================
--- cpukit/rtems/src/taskresume.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskresume.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Resume Task
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_resume().
  */
 
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/tasks.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Task API Extensions
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains a definition of the
+ *   ::_RTEMS_tasks_Information with zero objects.
  */
 
Index: cpukit/rtems/src/taskself.c
===================================================================
--- cpukit/rtems/src/taskself.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskself.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Self Task Id
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_self().
  */
 
Index: cpukit/rtems/src/tasksetaffinity.c
===================================================================
--- cpukit/rtems/src/tasksetaffinity.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/tasksetaffinity.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks Tasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief  RTEMS Task Set Affinity
+ * @brief This source file contains the implementation of
+ *   rtems_task_set_affinity().
  */
 
Index: cpukit/rtems/src/tasksetpriority.c
===================================================================
--- cpukit/rtems/src/tasksetpriority.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/tasksetpriority.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Set Task Priority
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_set_priority().
  */
 
Index: cpukit/rtems/src/tasksetscheduler.c
===================================================================
--- cpukit/rtems/src/tasksetscheduler.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/tasksetscheduler.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,2 +1,11 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_set_scheduler().
+ */
+
 /*
  * Copyright (c) 2014 embedded brains GmbH.  All rights reserved.
Index: cpukit/rtems/src/taskstart.c
===================================================================
--- cpukit/rtems/src/taskstart.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskstart.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTasks Tasks
+ * @ingroup RTEMSImplClassicTask
  *
- * @brief  RTEMS Start Task
+ * @brief This source file contains the implementation of
+ *   rtems_task_start().
  */
 
Index: cpukit/rtems/src/tasksuspend.c
===================================================================
--- cpukit/rtems/src/tasksuspend.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/tasksuspend.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Suspend Task
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_suspend().
  */
 
Index: cpukit/rtems/src/taskwakeafter.c
===================================================================
--- cpukit/rtems/src/taskwakeafter.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskwakeafter.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Task Wake After
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_wake_after().
  */
 
Index: cpukit/rtems/src/taskwakewhen.c
===================================================================
--- cpukit/rtems/src/taskwakewhen.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/taskwakewhen.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Task Wake When
- *  @ingroup ClassicTasks
+ * @ingroup RTEMSImplClassicTask
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_task_wake_when().
  */
 
Index: cpukit/rtems/src/timercancel.c
===================================================================
--- cpukit/rtems/src/timercancel.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timercancel.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,6 +1,12 @@
+/**
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_cancel().
+ */
+
 /*
- *  Timer Manager - rtems_timer_cancel directive
- *
- *
  *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/rtems/src/timercreate.c
===================================================================
--- cpukit/rtems/src/timercreate.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timercreate.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,11 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Create Timer
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the definition of ::_Timer_server and the
+ *   implementation of _Timer_Routine_adaptor(), _Timer_Fire(),
+ *   _Timer_Fire_after(), _Timer_Fire_when(), _Timer_Cancel(), and the Timer
+ *   Manager system initialization.
  */
 
Index: cpukit/rtems/src/timerdelete.c
===================================================================
--- cpukit/rtems/src/timerdelete.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerdelete.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Delete Timer
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_delete().
  */
 
Index: cpukit/rtems/src/timerfireafter.c
===================================================================
--- cpukit/rtems/src/timerfireafter.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerfireafter.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Timer Fire After
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_fire_after().
  */
 
Index: cpukit/rtems/src/timerfirewhen.c
===================================================================
--- cpukit/rtems/src/timerfirewhen.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerfirewhen.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Timer Fire When
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_fire_when().
  */
 
Index: cpukit/rtems/src/timergetinfo.c
===================================================================
--- cpukit/rtems/src/timergetinfo.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timergetinfo.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Get Timer Information
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_get_information().
  */
 
Index: cpukit/rtems/src/timerident.c
===================================================================
--- cpukit/rtems/src/timerident.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerident.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -6,5 +6,6 @@
  * @ingroup RTEMSImplClassicTimer
  *
- * @brief rtems_timer_ident() Implementation
+ * @brief This source file contains the implementation of
+ *   rtems_timer_ident().
  */
 
Index: cpukit/rtems/src/timerreset.c
===================================================================
--- cpukit/rtems/src/timerreset.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerreset.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTimer Timers
+ * @ingroup RTEMSImplClassicTimer
  *
- * @brief RTEMS Timer Reset
+ * @brief This source file contains the implementation of
+ *   rtems_timer_reset().
  */
 
Index: cpukit/rtems/src/timerserver.c
===================================================================
--- cpukit/rtems/src/timerserver.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerserver.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,14 +1,9 @@
 /**
- *  @file
- *
- *  Timer Manager - rtems_timer_initiate_server directive along with
- *  the Timer Server Body and support routines
- *
- *  @note Data specific to the Timer Server is declared in this
- *        file as the Timer Server so it does not have to be in the
- *        minimum footprint.  It is only really required when
- *        task-based timers are used.  Since task-based timers can
- *        not be started until the server is initiated, this structure
- *        does not have to be initialized until then.
+ * @file
+ *
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_initiate_server().
  */
 
Index: cpukit/rtems/src/timerserverfireafter.c
===================================================================
--- cpukit/rtems/src/timerserverfireafter.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerserverfireafter.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,9 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Timer Server Fire After
- *  @ingroup ClassicTimer
+ * @ingroup RTEMSImplClassicTimer
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_timer_server_fire_after().
  */
 
Index: cpukit/rtems/src/timerserverfirewhen.c
===================================================================
--- cpukit/rtems/src/timerserverfirewhen.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/timerserverfirewhen.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -2,7 +2,8 @@
  * @file
  *
- * @ingroup ClassicTimer Timers
+ * @ingroup RTEMSImplClassicTimer
  *
- * @brief RTEMS Timer Server Fire When Directive
+ * @brief This source file contains the implementation of
+ *   rtems_timer_server_fire_when().
  */
 
Index: cpukit/rtems/src/workspace.c
===================================================================
--- cpukit/rtems/src/workspace.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/workspace.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,10 @@
 /**
- *  @file
+ * @file
  *
- *  @brief RTEMS Workspace Support
- *  @ingroup ClassicRTEMSWorkspace
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_workspace_get_information(), rtems_workspace_allocate(), and
+ *   rtems_workspace_free().
  */
 
Index: cpukit/rtems/src/workspacegreedy.c
===================================================================
--- cpukit/rtems/src/workspacegreedy.c	(revision 23494c2bfaa726005082929807e8029ab8b7e126)
+++ cpukit/rtems/src/workspacegreedy.c	(revision 6b5f22dcbb4a876080a3713233e4d5a23d6383ed)
@@ -1,7 +1,11 @@
 /**
- *  @file
+ * @file
  *
- *  @brief Greedy Allocate that Empties the Workspace and Free
- *  @ingroup ClassicRTEMS
+ * @ingroup RTEMSImplClassic
+ *
+ * @brief This source file contains the implementation of
+ *   rtems_workspace_greedy_allocate(),
+ *   rtems_workspace_greedy_allocate_all_except_largest(), and
+ *   rtems_workspace_greedy_free().
  */
 
